%define name	Y
%define version	0.2.1
%define release	6mdk
%define major	0

%define libname %mklibname %name %major
%define libnamedevel %mklibname %name %major -d
%define libnameclient %{_lib}%{name}client
%define libnameclientdevel %{_lib}%{name}client-devel

%define __libtoolize true

Summary:	An XFree86 replacement
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://www.y-windows.org/
Group:		System/XFree86
Source:		%{name}-%{version}.tar.bz2
Patch0:		Y-0.2.1-math_h.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	autoconf2.5 SDL1.2-devel freetype-devel libsigc++1.2-devel
BuildRequires:  png-devel perl-Parse-RecDescent
Requires:	%libname = %version-%release
Requires:	lib%{name}client = %version-%release

%description
Y is intended as a successor for the X Window System, the most popular
implementation of which, XFree86, is used on the majority of open-source
desktop systems.

%package -n %libname
Group:          System/XFree86
Summary:        Shared library files for %{name}
Provides:	lib%name = %version-%release
License:	GPL

%description -n %libname
Shared library files from the %{name} package.

%package -n %libnamedevel
Group:          Development/C
Summary:        Development files for %{name}
Requires:       %libname = %version-%release
Provides:       %{name}-devel
Provides:       lib%{name}-devel
License:	GPL

%description -n %libnamedevel
Development headers, and files for development from the %{name} package.

%package -n %libnameclient
Group:          System/XFree86
Summary:        Shared library files for %{name} clients
License:        LGPL

%description -n %libnameclient
Shared library files for use with %{name} client applications.

%package -n %libnameclientdevel
Group:          Development/C
Summary:        Development files for %libnameclient
Requires:       %libnameclient = %version-%release
License:        LGPL

%description -n %libnameclientdevel
Development headers, and files for development from the %libnameclient package.


%prep
%setup -q
%patch0

%build
%configure2_5x --disable-yiterm
%make
perl -pi -e 's|yiterm|yclock|' clients/tools/startY
echo 'echo "YDISPLAY=$YDISPLAY"' >> clients/tools/startY

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README INSTALL COPYING
%{_bindir}/*
%dir %{_sysconfdir}/Y
%config(noreplace) %{_sysconfdir}/Y/*
%{_datadir}/Y

%files -n %libname
%defattr(-,root,root)
%{_libdir}/libY*.so.*

%files -n %libnamedevel
%defattr(-,root,root)
%{_includedir}/Y
%{_libdir}/libY*.so
%{_libdir}/libY*.a
%{_libdir}/libY*.la

%files -n %libnameclient
%defattr(-,root,root)
%dir %{_libdir}/Y
%dir %{_libdir}/Y/driver/
%dir %{_libdir}/Y/theme/
%dir %{_libdir}/Y/wm/
%dir %{_libdir}/Y/driver/*/
%{_libdir}/Y/*/*.so
%{_libdir}/Y/driver/*/*.so

%files -n %libnameclientdevel
%defattr(-,root,root)
%{_libdir}/Y/*/*.a
%{_libdir}/Y/*/*.la
%{_libdir}/Y/*/*/*.a
%{_libdir}/Y/*/*/*.la

%changelog
* Tue Sep 28 2004 Franck Villaume <fvill@freesurf.fr> 0.2.1-6mdk
- more BuildRequires

* Mon Sep 27 2004 Franck Villaume <fvill@freesurf.fr> 0.2.1-5mdk
- BuildRequires

* Sat Jun 12 2004 Pascal Terjan <pterjan@mandrake.org> 0.2.1-4mdk
- Documentation ask for sigc++ 1.0, configure wants 1.2 ...

* Sat Jun 05 2004 Pascal Terjan <pterjan@mandrake.org> 0.2.1-3mdk
- DIRM
- Add missing #include <math.h> (Patch0)

* Thu Jun 03 2004 Pascal Terjan <pterjan@mandrake.org> 0.2.1-2mdk
- run yclock in startY as we don't ship yiterm

* Thu Jun 03 2004 Pascal Terjan <pterjan@mandrake.org> 0.2.1-1mdk
- 0.2.1

* Sun Mar 07 2004 Pascal Terjan <pterjan@mandrake.org> 0.2-2mdk
- Main package needs libYclient

* Sat Mar 06 2004 Pascal Terjan <pterjan@mandrake.org> 0.2-1mdk
- First version of the rpm
